CREATE TABLE Files (
	id integer PRIMARY KEY AUTOINCREMENT,
	idgames_id integer NULL,
	game text NOT NULL DEFAULT 'UNKNOWN',
	port text NOT NULL DEFAULT 'UNKNOWN',
	date_played integer NULL,

	filename text NOT NULL,
	title text NOT NULL DEFAULT '',
	author text NOT NULL DEFAULT '',
	email text NOT NULL DEFAULT '',
	rating real NOT NULL DEFAULT 0.0,
	comments text NOT NULL DEFAULT '',
	localpath text NOT NULL,

	singleplayer integer NOT NULL DEFAULT 0,
	cooperative integer NOT NULL DEFAULT 0,
	deathmatch integer NOT NULL DEFAULT 0,
	dehacked integer NOT NULL DEFAULT 0,
	decorate integer NOT NULL DEFAULT 0,
	music integer NOT NULL DEFAULT 0,
	sound integer NOT NULL DEFAULT 0,
	graphics integer NOT NULL DEFAULT 0,
	
	maps integer NOT NULL DEFAULT 0,
	firstmap text NULL,
	textfile integer NOT NULL DEFAULT 0,
	zipped integer NOT NULL DEFAULT 0,
	wad integer NOT NULL DEFAULT 0,
	pk3 integer NOT NULL DEFAULT 0
)
